function clone(t)
	local u = setmetatable({}, getmetatable(t))
	for i,v in pairs(t) do
		u[i] = v
	end
	return u
end

function merge(t, u)
	local r = clone(t)
	for i,v in pairs(u) do
		r[i] = v
	end
	return r
end

function rearrange(p, t)
	local r = clone(t)
	for i,v in pairs(p) do
		r[v] = t[i]
		r[i] = nil
	end
	return r
end

Object = {
	_init = {},
	_clone = function(self, values)
			local object = merge(self, rearrange(self._init, values))
			return setmetatable(object, object)
		end,
	__call = function(...)
			return (...)._clone(...)
		end,
}
setmetatable(Object, Object)

function new(class, ...)
	local object = class{...}

	-- call constructor
	if object._construct and type(object._construct) == "function" then 
		object._construct(object)
	else
		local t = getmetatable(object)
		vardump(t)
		if t._construct and type(t._construct) == "function" then 
			t._construct(object)
		end
	end
	
	return object
end