
gPlayerLives = 5

gTypes = {

	WallMetal = {
		letter = "#",
		solid = true,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "mauera.png"),
		transparent = false,
	},

	WallStone = {
		letter = "W",
		solid = true,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "maueri.png"),
		transparent = false,
	},

	Sand = {
		letter = ".",
		solid = false,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "sand.png"),
		transparent = false,
		on_player_enter = function(x,y)
			love.audio.play(gSound_Sand)
		end,
	},

	Stone = {
		letter = "O",
		solid = true,
		empty = false,
		pinned = false,
		gfx = love.graphics.newImage(gGfxPath .. "stein.png"),
		transparent = true,
		movable = true,
		on_hit_ground = function(x,y)
			love.audio.play(gSound_StoneHitGround)
		end,
	},

	Diamond = {
		letter = "x",
		solid = false,
		empty = false,
		pinned = false,
		gfx = love.graphics.newImage(gGfxPath .. "diamant.png"),
		anim = gAnimation_Diamond,
		transparent = true,
		on_hit_ground = function(x,y)
			love.audio.play(gSound_Diamond)
		end,
		on_player_enter = function(x,y)
			love.audio.play(gSound_Collect)
		end,
	},

	Slime = {
		letter = "%",
		solid = true,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "schleim.png"),
		anim = gAnimation_Slime,
		transparent = true,
		remainings = "%",
	},

	DoorClosed = {
		letter = "D",
		solid = true,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "tuerzu.png"),
		transparent = true,
	},

	DoorOpen = {
		letter = "H",
		solid = false,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "tueroffen.png"),
		anim = gAnimation_DoorOpened,
		transparent = true,
		on_player_enter = function(x,y)
			levelFinished()
		end,
	},

	Empty = {
		letter = " ",
		solid = false,
		empty = true,
		pinned = true,
		transparent = true,
	},

	StartPosition = {
		letter = "S",
		solid = false,
		empty = true,
		pinned = true,
		transparent = true,
	},

	Monster = {
		letter = "P",
		solid = true,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "monster.png"),
		anim = gAnimation_Monster,
		transparent = true,
		deadly = true,
		breakable = true,
		on_headcrash = function(x,y)
			gLevel:setTile(x,y,letterToType(" "))
			love.audio.play(gSound_CrashMonster)
		end,
	},

	ExtraLive = {
		letter = "L",
		solid = false,
		empty = false,
		pinned = false,
		gfx = love.graphics.newImage(gGfxPath .. "leben.png"),
		anim = gAnimation_Leben,
		transparent = true,
		on_player_enter = function(x,y)
			gPlayerLives = gPlayerLives + 1
			love.audio.play(gSound_ExtraLife)
		end,
	},

	Player = {
		letter = "@",
		solid = true,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "mann.png"),
		transparent = true,
		remainings = " ",
		breakable = true,
		on_headcrash = function(x,y)
			playerDie()
		end,
	},

	Grave = {
		letter = "+",
		solid = true,
		empty = false,
		pinned = true,
		gfx = love.graphics.newImage(gGfxPath .. "tod.png"),
		transparent = true,
		remainings = " ",
	},

}
